package com.ruoyi.invest.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.tool.domain.TUnifyFile;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目公司信息对象 t_project_company
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
public class TProjectCompany extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private String id;

    /** 公司名称 */
    @Excel(name = "公司名称")
    private String companyName;

    /** 项目ID */
    private String projectPoolId;

    /** 企业统一社会信用代码 */
    @Excel(name = "企业统一社会信用代码")
    private String companyCode;

    /** 营业开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营业开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /** 营业结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "营业结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    /** 注册资本 set方法String.format("%.4f", registeredCapital); */
    private String registeredCapital;

    /** 注册地址 */
    private String registeredAddress;

    /** 实缴资本 set方法String.format("%.4f", paidCapital); */
    private String paidCapital;

    /** 办公地址 */
    private String businessAddress;

    /** 实控人 */
    @Excel(name = "实控人")
    private String actualBod;

    /** 联系电话 */
    private String phone;

    /** 所属类型 */
    private String type;

    /** 状态 */
    private String delFlag;

    /** 备案时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date filingTime;

    /**
     * 附件信息
     */
    private List<TUnifyFile> listFile;

    private String companyId;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }
    public void setCompanyName(String companyName) 
    {
        this.companyName = companyName;
    }

    public String getCompanyName() 
    {
        return companyName;
    }
    public void setProjectPoolId(String projectPoolId) 
    {
        this.projectPoolId = projectPoolId;
    }

    public String getProjectPoolId() 
    {
        return projectPoolId;
    }
    public void setCompanyCode(String companyCode) 
    {
        this.companyCode = companyCode;
    }

    public String getCompanyCode() 
    {
        return companyCode;
    }
    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setRegisteredCapital(String registeredCapital) 
    {
        if(StringUtils.isNotEmpty(registeredCapital)){
            this.registeredCapital = String.format("%.4f", Double.parseDouble(registeredCapital));
        }else{
            this.registeredCapital = registeredCapital;
        }
    }

    public String getRegisteredCapital() 
    {
        return registeredCapital;
    }
    public void setRegisteredAddress(String registeredAddress) 
    {
        this.registeredAddress = registeredAddress;
    }

    public String getRegisteredAddress() 
    {
        return registeredAddress;
    }
    public void setPaidCapital(String paidCapital) 
    {
        if(StringUtils.isNotEmpty(paidCapital)){
            this.paidCapital = String.format("%.4f", Double.parseDouble(paidCapital));
        }else{
            this.paidCapital = paidCapital;
        }
    }

    public String getPaidCapital() 
    {
        return paidCapital;
    }
    public void setBusinessAddress(String businessAddress) 
    {
        this.businessAddress = businessAddress;
    }

    public String getBusinessAddress() 
    {
        return businessAddress;
    }
    public void setActualBod(String actualBod) 
    {
        this.actualBod = actualBod;
    }

    public String getActualBod() 
    {
        return actualBod;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public List<TUnifyFile> getListFile() {
        return listFile;
    }

    public void setListFile(List<TUnifyFile> listFile) {
        this.listFile = listFile;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public Date getFilingTime() {
        return filingTime;
    }

    public void setFilingTime(Date filingTime) {
        this.filingTime = filingTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("companyName", getCompanyName())
            .append("projectPoolId", getProjectPoolId())
            .append("companyCode", getCompanyCode())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("registeredCapital", getRegisteredCapital())
            .append("registeredAddress", getRegisteredAddress())
            .append("paidCapital", getPaidCapital())
            .append("businessAddress", getBusinessAddress())
            .append("actualBod", getActualBod())
            .append("phone", getPhone())
            .append("type", getType())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
